package test.examples;


import javax.swing.JFrame;
import javax.swing.SwingUtilities;

public class MyCoolGame2 extends JFrame {

	private static final long serialVersionUID = 1L;

	public final int DISPLAY_WIDTH = 300;
	public final int DISPLAY_HEIGHT = 280;
	
	Board displayArea;

	public MyCoolGame2() {
		// empty constructor
	}

	public void setupGame() {
		// Create our board or display area
		displayArea = new Board(DISPLAY_WIDTH, DISPLAY_HEIGHT);

		// attach it to the window
		add(displayArea);

		// set the window title
		setTitle("My Cool Game 2");

		// ensure that closing the window - closes the application
		setDefaultCloseOperation(EXIT_ON_CLOSE);

		// Size the window to fit the preferred size of its components
		pack();

		// center the window in the middle of our screen
		setLocationRelativeTo(null);

		// show the window
		setVisible(true);		
	}

	public void printElementSizes() {
		System.out.println("Window size - width: " + this.getWidth() + " ;height: " + this.getHeight());
		System.out.println("Board size - width: " + displayArea.getWidth() + " ;height: " + displayArea.getHeight());
	}

	public static void main(String[] args) {
		
		MyCoolGame2 game = new MyCoolGame2();
		// Start the GUI work in a thread since Swing is
		// not thread-safe
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				game.setupGame();
				game.printElementSizes();
			}
		});
	}
}
